Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359914 - Review Request: lollypop - Music player for GNOME
Summary: Review Request: lollypop - Music player for GNOME
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Newton
QA Contact: Itamar Reis Peixoto
URL: http://gnumdk.github.io/lollypop/
Whiteboard:
Depends On: 1381132
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-25 18:45 UTC by MartinKG
Modified: 2016-12-15 13:53 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-15 13:53:17 UTC
alexjnewt: fedora-review+


Attachments (Terms of Use)

Description MartinKG 2016-07-25 18:45:12 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.112-1.fc24.src.rpm

Description: Aims to be an (in)complete graphical interface to mpv, focused on
usability. It also provides extra features like youtube and shoutcast
integration, dvbt, media tagging, library and playlist managment and a lot
more.

Fedora Account System Username: martinkg

Comment 1 MartinKG 2016-07-25 18:49:53 UTC
correct Description: Lollypop is a new GNOME music playing application.

Comment 2 Itamar Reis Peixoto 2016-07-31 22:49:41 UTC
No module named 'pylast'
    - Scrobbler disabled
    - Auto cover download disabled
    - Artist informations disabled
$ sudo pip3 install pylast
No module named 'wikipedia'
Advanced artist informations disabled
$ sudo pip3 install wikipedia

Comment 3 Itamar Reis Peixoto 2016-07-31 22:59:03 UTC
pylast appears to be in the repo, you probably missed to add it in Build / requires


pylast.noarch : A Python interface to Last.fm API compatible social networks
python3-pylast.noarch : A Python interface to Last.fm API compatible social networks

Comment 4 MartinKG 2016-08-01 15:57:46 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.112-2.fc24.src.rpm

%changelog
* Mon Aug 01 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.112-2
- Added pylast Requirement

Comment 5 MartinKG 2016-08-25 14:04:58 UTC
@Itamar could you please finish the review ?

Comment 6 MartinKG 2016-09-18 14:38:50 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.202-1.fc24.src.rpm

%changelog
* Sun Sep 18 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.202-1
* Update to 0.9.202-1

Comment 7 leigh scott 2016-09-21 07:35:54 UTC
The scriptlets are wrong, use the full path.

see

https://fedoraproject.org/wiki/Packaging:Scriptlets?rd=Packaging:ScriptletSnippets#desktop-database


also there is no need for the %dir

change from

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.gresource


to

%{_datadir}/%{name}/

this way it owns the directory and everything in it


There is no need to require gstreamer1 as gstreamer1-plugins-base requires it

change from

Requires:       gstreamer1-plugins-base, gstreamer1

to

Requires:       gstreamer1-plugins-base

Comment 8 MartinKG 2016-09-21 08:08:50 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.204-1.fc24.src.rpm

%changelog
* Wed Sep 21 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.204-1
* Update to 0.9.204-1
- Use full path for scriptlets
- Corrected ownership of %%{_datadir/%%{name}/ in file section
- Dropped Requires: gstreamer1


rpmlint -i lollypop.spec /home/martin/rpmbuild/SRPMS/lollypop-0.9.204-1.fc24.src.rpm /home/martin/rpmbuild/RPMS/noarch/lollypop-0.9.204-1.fc24.noarch.rpm
lollypop.noarch: W: no-manual-page-for-binary lollypop
Each executable in standard binary directories should have a man page.

2 packages and 1 specfiles checked; 0 errors, 1 warnings.

Comment 9 MartinKG 2016-09-26 19:07:50 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.205-1.fc24.src.rpm


%changelog
* Mon Sep 26 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.205-1
* Update to 0.9.205

Comment 10 MartinKG 2016-10-02 15:28:23 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.206-1.fc24.src.rpm

%changelog
* Sun Oct 02 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.206-1
* Update to 0.9.206

Comment 11 MartinKG 2016-10-06 19:31:17 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.209-1.fc24.src.rpm

%changelog
* Thu Oct 06 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.209-1
* Update to 0.9.209

Comment 12 MartinKG 2016-10-08 12:55:44 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.210-1.fc24.src.rpm

changelog
* Sat Oct 08 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.210-1
* Update to 0.9.210

Comment 13 MartinKG 2016-10-24 07:20:55 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.213-1.fc25.src.rpm

%changelog
* Mon Oct 24 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.213-1
* Update to 0.9.213

Comment 14 MartinKG 2016-11-14 15:54:03 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.216-1.fc25.src.rpm

%changelog
* Mon Nov 14 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.216-1
* Update to 0.9.216

Comment 15 Cédric Bellegarde 2016-11-23 09:48:18 UTC
Hello,

since 0.9.217, you need to add this to SPEC file:
%attr(755, root, root) %{_datadir}/%{name}/lollypop-sp

regards,
--
Cédric Bellegarde

Comment 16 MartinKG 2016-11-23 20:11:48 UTC
(In reply to Cédric Bellegarde from comment #15)
> Hello,
> 
> since 0.9.217, you need to add this to SPEC file:
> %attr(755, root, root) %{_datadir}/%{name}/lollypop-sp
> 
> regards,
> --
> Cédric Bellegarde

thanks for the hint. Have you time to do a review ?

new packages:

Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.219-1.fc25.src.rpm

%changelog
* Wed Nov 23 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.219-1
- Update to 0.9.219
- Add %%attr to correct file permisson

Comment 17 MartinKG 2016-11-25 21:04:10 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.220-1.fc25.src.rpm

%changelog
* Fri Nov 25 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.220-1
- Update to 0.9.220

Comment 18 Jeremy Newton 2016-12-06 14:27:35 UTC
I'll take a look into this night or tomorrow.

Comment 19 MartinKG 2016-12-06 14:51:56 UTC
(In reply to Jeremy Newton from comment #18)
> I'll take a look into this night or tomorrow.

You are welcome.

This information reached me on 2 December from the developer Cédric Bellegarde

Hello dear Lollypop packagers ;)

Next lollypop release will depends on this dbus service:
https://github.com/gnumdk/lollypop-portal

So you will need to package it as well (and rpm packagers, make sure /usr/share/lollypop/lollypop-portal is +x).

Comment 20 Jeremy Newton 2016-12-06 16:06:53 UTC
(In reply to MartinKG from comment #19)
> (In reply to Jeremy Newton from comment #18)
> > I'll take a look into this night or tomorrow.
> 
> You are welcome.
> 
> This information reached me on 2 December from the developer Cédric
> Bellegarde
> 
> Hello dear Lollypop packagers ;)
> 
> Next lollypop release will depends on this dbus service:
> https://github.com/gnumdk/lollypop-portal
> 
> So you will need to package it as well (and rpm packagers, make sure
> /usr/share/lollypop/lollypop-portal is +x).

You should be able to just make this a sub-package later on. I feel like it would be a waste to make this a separate package.

As well, I'm not sure if you got my email, if you have time, can you swap with me? I'm trying to move a bunch of packages from rpmfusion into Fedora due to changes in Fedora's policies and I have two left. In return, I can help push along your unassigned reviews.

Comment 21 Cédric Bellegarde 2016-12-07 12:08:01 UTC
lollypop-portal is a separate source, you will be forced to package it as a separate package.

DBus portal is not part of lollypop because it can't be part of flatpak package.

Comment 22 Jeremy Newton 2016-12-07 19:05:14 UTC
(In reply to Cédric Bellegarde from comment #21)
> lollypop-portal is a separate source, you will be forced to package it as a
> separate package.
> 
> DBus portal is not part of lollypop because it can't be part of flatpak
> package.

That shouldn't be necessary; RPM allows for multiple sources. As long Martin makes sure the lollypop-portal files only make it into the "portal" subpackage, this should work as intended.

Even if the user prefers to install the flatpak, they should be able to just install the lollypop-portal package without requiring the lollypop package. This is because the lollypop package should require lollypop-portal but not the other way around.

With that said, it's ultimately Martin's choice how he wishes to package it. Ultimately either decision is fine by me.

Comment 23 Jeremy Newton 2016-12-08 02:43:36 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/share/lollypop/lollypop-sp
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "*No copyright* CC by-sa (v3.0)", "MIT/X11
     (BSD like)", "Unknown or generated", "CC by-sa (v3.0)", "FSF All
     Permissive". 149 files have unknown license.
> The MIT and FSF All Permissive are install scripts, not source code.
> This is a non-issue in my opinion
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/help/he, /usr/share/help/sk
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/help/fi,
     /usr/share/help/he, /usr/share/help/uk, /usr/share/help/de,
     /usr/share/help/sk, /usr/share/dbus-1/services, /usr/share/gnome-shell
     /search-providers, /usr/share/help/sv, /usr/share/help/sr,
     /usr/share/help/fr, /usr/share/help/C, /usr/share/help/nl,
     /usr/share/help/es, /usr/share/help/cs, /usr/share/help, /usr/share
     /gnome-shell, /usr/share/help/ca, /usr/share/help/pl,
     /usr/share/dbus-1, /usr/share/help/pt_BR, /usr/share/help/ru,
     /usr/share/help/it
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: glib-compile-schemas is run in %postun and %posttrans if package has
     *.gschema.xml files.
     Note: gschema file(s) in lollypop
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in lollypop
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in lollypop
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
> Music plays :)
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lollypop-0.9.220-1.fc25.noarch.rpm
          lollypop-0.9.220-1.fc25.src.rpm
lollypop.noarch: W: no-manual-page-for-binary lollypop
lollypop.noarch: W: no-manual-page-for-binary lollypop-cli
lollypop.noarch: W: no-manual-page-for-binary rhythmbox2lollypop
2 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
lollypop.noarch: W: no-manual-page-for-binary rhythmbox2lollypop
lollypop.noarch: W: no-manual-page-for-binary lollypop
lollypop.noarch: W: no-manual-page-for-binary lollypop-cli
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

> manpages would be nice, but are not mandatory.

Requires
--------
lollypop (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python3
    gdk-pixbuf2
    gobject-introspection
    gstreamer1-plugins-base
    gtk3
    kid3-common
    libnotify
    pango
    pylast
    python(abi)
    python3-cairo
    python3-dbus
    python3-gobject
    python3-pylast
    python3-wikipedia



Provides
--------
lollypop:
    appdata()
    appdata(lollypop.appdata.xml)
    application()
    application(lollypop.desktop)
    lollypop
    mimehandler(application/ogg)
    mimehandler(application/x-ogg)
    mimehandler(application/x-ogm-audio)
    mimehandler(application/xspf+xml)
    mimehandler(audio/aac)
    mimehandler(audio/ac3)
    mimehandler(audio/flac)
    mimehandler(audio/m4a)
    mimehandler(audio/mp3)
    mimehandler(audio/mp4)
    mimehandler(audio/mpeg)
    mimehandler(audio/mpegurl)
    mimehandler(audio/ogg)
    mimehandler(audio/vnd.rn-realaudio)
    mimehandler(audio/vorbis)
    mimehandler(audio/x-aac)
    mimehandler(audio/x-flac)
    mimehandler(audio/x-m4a)
    mimehandler(audio/x-mp3)
    mimehandler(audio/x-mpeg)
    mimehandler(audio/x-mpegurl)
    mimehandler(audio/x-ms-wma)
    mimehandler(audio/x-musepack)
    mimehandler(audio/x-oggflac)
    mimehandler(audio/x-pn-realaudio)
    mimehandler(audio/x-scpls)
    mimehandler(audio/x-speex)
    mimehandler(audio/x-vorbis)
    mimehandler(audio/x-vorbis+ogg)
    mimehandler(audio/x-wav)
    mimehandler(x-content/audio-player)



Source checksums
----------------
https://github.com/gnumdk/lollypop/releases/download/0.9.220/lollypop-0.9.220.tar.xz :
  CHECKSUM(SHA256) this package     : df446133d8237c0061a6378958ae191cc9e3572248ca4593b3b4120c259a8c04
  CHECKSUM(SHA256) upstream package : df446133d8237c0061a6378958ae191cc9e3572248ca4593b3b4120c259a8c04


Looks good, it's a pretty neat music player :)... but you should package the latest version before I can approve this. If you would like to package lollypop-portal separately, I can review it for you, but it's fine if you want to subpackage it instead.

Comment 24 MartinKG 2016-12-08 12:09:42 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.222-1.fc25.src.rpm

%changelog
* Thu Dec 08 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.222-1
- Update to 0.9.222
- Set correct file permission
- Add subpkg lollypop-portal

Comment 25 Jeremy Newton 2016-12-08 14:27:25 UTC
If I understand correctly, lollypop should require lollypop-portal, not the other way around.

As well, is it possible to subpackage the CLI?

Comment 26 MartinKG 2016-12-09 21:44:11 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.223-1.fc25.src.rpm

%changelog
* Fri Dec 09 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-1
- Update to 0.9.223
- Add subpkg lollypop-cli

Comment 27 Jeremy Newton 2016-12-09 22:35:30 UTC
(In reply to MartinKG from comment #26)
> Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
> SRPM URL:
> https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.223-1.fc25.src.
> rpm
> 
> %changelog
> * Fri Dec 09 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-1
> - Update to 0.9.223
> - Add subpkg lollypop-cli

The issue of the portal dependency still exists. lollypop should require lollypop-portal, not the other way around.

Right now portal has the following requirement:
> Requires:       %{name} = %{version}-%{release}

This should be removed and the following should be added on the base package:
> Requires:       %{name}-portal = %{version}-%{release}

This also allows a user to only install lollypop-portal, if they wish to use the flatpak instead.

As well, is --prefix=/usr should not be used for autogen.sh. I would personally suggestion running autogen with NOCONFIGURE set, thus to prevent configure from running, then configure using the %configure macro.

I'm assuming something like this would work:
> pushd %{subpkg}-%{commit0}
>     NOCONFIGURE=1 ./autogen.sh
>     %configure
> popd

Comment 28 MartinKG 2016-12-10 08:33:44 UTC
(In reply to Jeremy Newton from comment #27)
> (In reply to MartinKG from comment #26)
> 
> The issue of the portal dependency still exists. lollypop should require
> lollypop-portal, not the other way around.
> 
> Right now portal has the following requirement:
> > Requires:       %{name} = %{version}-%{release}
> 
> This should be removed and the following should be added on the base package:
> > Requires:       %{name}-portal = %{version}-%{release}
> 
> This also allows a user to only install lollypop-portal, if they wish to use
> the flatpak instead.

done
> 
> As well, is --prefix=/usr should not be used for autogen.sh. I would
> personally suggestion running autogen with NOCONFIGURE set, thus to prevent
> configure from running, then configure using the %configure macro.
> 
> I'm assuming something like this would work:
> > pushd %{subpkg}-%{commit0}
> >     NOCONFIGURE=1 ./autogen.sh
> >     %configure
> > popd

done 


Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.223-2.fc25.src.rpm

%changelog
* Sat Dec 10 2016 Martin Gansser <martinkg@fedoraproject.org> - 0.9.223-2
- Add Requires to base package
- Remove Requires on the subpkg lollypop-portal
- Add NOCONFIGURE=1 ./autogen.sh to subpkg lollypop-portal

Comment 29 Jeremy Newton 2016-12-11 00:56:28 UTC
Just some documentation fixes to silence some rpmlint warnings:

- Use the following for portal's description:
Summary:        Lollypop flatpak portal (advanced features)

- youtube should be spelt YouTube

- playlists I believe should be "play-lists"

But other than that, looks good! Approved!

Remember to fix these before submitting.

Comment 30 MartinKG 2016-12-11 08:45:54 UTC
(In reply to Jeremy Newton from comment #29)
> Just some documentation fixes to silence some rpmlint warnings:
> 
> - Use the following for portal's description:
> Summary:        Lollypop flatpak portal (advanced features)
> 
> - youtube should be spelt YouTube
> 
> - playlists I believe should be "play-lists"
> 
> But other than that, looks good! Approved!
> 
> Remember to fix these before submitting.

changes done.
Thanks for the review.

Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.223-3.fc25.src.rpm

Comment 31 Jeremy Newton 2016-12-11 17:23:43 UTC
(In reply to MartinKG from comment #30)
> (In reply to Jeremy Newton from comment #29)
> > Just some documentation fixes to silence some rpmlint warnings:
> > 
> > - Use the following for portal's description:
> > Summary:        Lollypop flatpak portal (advanced features)
> > 
> > - youtube should be spelt YouTube
> > 
> > - playlists I believe should be "play-lists"
> > 
> > But other than that, looks good! Approved!
> > 
> > Remember to fix these before submitting.
> 
> changes done.
> Thanks for the review.
> 
> Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
> SRPM URL:
> https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.223-3.fc25.src.
> rpm

No problem, but I meant playlists should be changed to play-lists without the quotes ;)

Comment 32 MartinKG 2016-12-11 17:58:37 UTC
(In reply to Jeremy Newton from comment #31)
> (In reply to MartinKG from comment #30)
> > (In reply to Jeremy Newton from comment #29)
> > > Just some documentation fixes to silence some rpmlint warnings:
> > > 
> > > - Use the following for portal's description:
> > > Summary:        Lollypop flatpak portal (advanced features)
> > > 
> > > - youtube should be spelt YouTube
> > > 
> > > - playlists I believe should be "play-lists"
> > > 
> > > But other than that, looks good! Approved!
> > > 
> > > Remember to fix these before submitting.
> > 
> > changes done.
> > Thanks for the review.
> > 
> > Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/lollypop.spec
> > SRPM URL:
> > https://martinkg.fedorapeople.org/Review/SRPMS/lollypop-0.9.223-3.fc25.src.
> > rpm
> 
> No problem, but I meant playlists should be changed to play-lists without
> the quotes ;)

ok, done.

Comment 33 Gwyn Ciesla 2016-12-12 14:06:57 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/lollypop

Comment 34 MartinKG 2016-12-15 13:53:17 UTC
package has been built successfully on fc24 and rawhide.


Note You need to log in before you can comment on or make changes to this bug.